Перейти к содержанию

Линар Линарович

Пользователи
  • Публикаций

    5
  • Зарегистрирован

  • Посещение

Репутация

0 Обычный

Информация о Линар Линарович

  • Звание
    Новичок
  1. День добрый всем. Помогите пожалуйста дописать код, для создания эллипса по трем точкам. Центр эллипса - точка Н2 Dim point As AcadPoint Dim height As Double height = 3 Dim H1(0 To 2) As Double H1(0) = 0: H1(1) = 0: H1(2) = 0 Set point = ThisDrawing.ModelSpace.AddPoint(H1) Dim H2(0 To 2) As Double H2(0) = 20: H2(1) = 2: H2(2) = 0: Set point = ThisDrawing.ModelSpace.AddPoint(H2) Dim H3(0 To 2) As Double H3(0) = 9: H3(1) = 16: H3(2) = 0: Set point = ThisDrawing.ModelSpace.AddPoint(H3) Вот нашел код для эллипса, но он не подходит по моим условиям построения. Dim ellObj As AcadEllipse Dim majAxis(0 To 2) As Double Dim center(0 To 2) As Double Dim radRatio As Double center(0) = H2(0): center(1) = H2(1): center(2) = H2(2) majAxis(0) = -5.5: majAxis(1) = 37.5: majAxis(2) = 0# radRatio = 0.666 Set ellObj = ThisDrawing.ModelSpace.AddEllipse(center, majAxis, radRatio)
  2. да как же сюда скрины вставлять?

    1. nextbin

      nextbin

      нужно нажать на кнопку расширеный режим, там появится прикрепить

  3. Великолепно! всё работает. спасибо Лион. почему то пришлось поменять слово "len" на любое другое. .
  4. Код пишу в Excel Код уже почти готов. всё работает, Вот там один отрезок под углом, так надо его просто удлинить на 5,24 см. на этом я и завис...
×
×
  • Создать...